[Unit]
Description=etcd service
Documentation=https://github.com/coreos/etcd
 
[Service]
Type=notify
ExecStart={{ etcd_bin_dir }}/etcd --name={{ ansible_host }} --data-dir=/var/lib/etcd/default.etcd --initial-advertise-peer-urls=http://{{ ansible_host }}:2380 --listen-peer-urls=http://{{ ansible_host }}:2380 --listen-client-urls=http://{{ ansible_host }}:2379,http://127.0.0.1:2379 --advertise-client-urls=http://{{ ansible_host }}:2379 --initial-cluster-token=etcd-cluster-1 --initial-cluster={{ hostvars[groups['etcd'][0]].ansible_host }}=http://{{ hostvars[groups['etcd'][0]].ansible_host }}:2380,{{ hostvars[groups['etcd'][1]].ansible_host }}=http://{{ hostvars[groups['etcd'][1]].ansible_host }}:2380,{{ hostvars[groups['etcd'][2]].ansible_host }}=http://{{ hostvars[groups['etcd'][2]].ansible_host }}:2380 --initial-cluster-state=new
Restart=on-failure
RestartSec=5
[Install]
WantedBy=multi-user.target
